Subject: [Sipping-emergency] Re: Report on sipemergency call

From: Gonzalo Camarillo <[email-masked]>
Date: Thu, 03 Apr 2003 12:28:01 +0300

Folks,

my action points...

> 1) Gonzalo: Please add myself, Mary, and Tom to the sip-emergency list and
> SIPPING design team.

I have added the email addresses below to the mailing list 
<[email-masked]>

[email-masked]
[email-masked]
[email-masked]
[email-masked]

I have added all four to the design team:

http://www.softarmor.com/sipping/teams/emergency/

Cheers,

Gonzalo

_______________________________________________
Sipping-emergency mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sipping-emergency

---

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 04 Apr 2003 00:31:54 -0500

> This is great information. Just to be sure I understand, Intrado is 
> doing two separate translations? One for a translation of the civil 
> address to lat/long, done at the time of provisioning of the civil 
> address, and the other is the translation of the lat/long into a PSAP 
> identity, done at call setup time? Its not clear to me why both 
> translations cannot be done at the same time, at provisioning time.

They probably could, but the geocoding (civil-to-geo) is presumably much 
more stable than the assignment of areas to PSAPs, except maybe after 
California drifts off into the Pacific.

> 
> Is there a site which maintains a list of providers similar to Intrado?

Not that I know of. http://www.nena9-1-1.org/Buyers%20Guide/index.htm is 
the closest I know of, but it doesn't seem to have that category. See 
also http://www.nena9-1-1.org/PSAPs/index.htm

> 
> Thanks,
> Jonathan R.
> 
> Henning Schulzrinne wrote:
> 
>> Dean, thanks for the summary.
>>
>> As it happened, I had a breakfast conversation with Vonage an hour 
>> after the call, discussing their "911" implementation. They are not 
>> calling it that, since it's only an approximation, not the real thing.
>>
>>  From my discussion, their implementation works as follows, 
>> implementing one of the stop-gap implementations that I described 
>> during the talk:
>>
>> - Customer can enter their location (street address) into a web form.
>>
>> - Customer gets reminder email once a month, as in "are you still 
>> living there"? Also, the system detects whether the subnet address of 
>> the phone has changed, indicating a likely change in physical address 
>> rather than just a new DHCP lease.
>>
>> - Address gets geo-coded (via a database maintained by Intrado, but 
>> other companies offer similar services) into longitude/latitude.
>>
>> - The outbound proxy directs all SIP requests with 911 to a special 
>> custom-coded proxy that queries (using an Intrado-proprietary 
>> XML-over-HTTP protocol) the Intrado jurisdictional database. This 
>> query returns a 10-digit number of the PSAP handling that part of the 
>> country. The Vonage fellow confirmed my suspicion that this number is 
>> often an administrative number, but at least it's the right PSAP. The 
>> call is then handed to a gateway that dials that number.
>>
>> - This approach has known limitations:
>> . requires an agreement with Intrado (they are set up to serve ILECs 
>> and CLECs, not necessarily a dynamicsoft-sized business).
>> . the calling party number is either the gateway or the caller, 
>> neither of which is likely to be mappable to anything approaching a 
>> useful street address.
>> . the manual address entry is probably only workable with mobility 
>> measured in months, not "employee takes phone home after work" or 
>> "person has multiple devices located in different places" cases. The 
>> latter case may be solvable, but things start to get a bit more 
>> complicated from a user perspective.
>>
>> Apparently, Intrado is pretty much the only vendor with nationwide 
>> coverage. Other, smaller vendors cover parts of the country.
>>
>> They are starting to roll this out in the next month or so. This is a 
>> first step, offering "basic" rather than "enhanced" 911 service.
>>
>> On average, each US household places about 1 911 call per year, so the 
>> call volume is pretty modest, from a scaling perspective.
>>
>> I mentioned the on-going IETF efforts. The Vonage fellow was very 
>> interested in contributing to the discussion. I told him that I would 
>> mention this to the group.
>>
>> Henning

---

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 04 Apr 2003 00:41:52 -0500

> I mean, making sure that resources are available, whatever they may be, 
> for completing a 911 call. I have heard (again, just what I've heard) 
> that a 5E will hang up an existing non-emergency call if it is in an 
> all-circuits busy condition when it receives a 911 call. This would seem 
> to relate to the ieprep stuff, I suppose.

Never heard that mentioned, including the relevant Bellcore document.

> -Jonathan R.

---

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 04 Apr 2003 09:34:37 -0500

OK, then I am just confused. Apologies.

-Jonathan R.

Henning Schulzrinne wrote:
>> I mean, making sure that resources are available, whatever they may 
>> be, for completing a 911 call. I have heard (again, just what I've 
>> heard) that a 5E will hang up an existing non-emergency call if it is 
>> in an all-circuits busy condition when it receives a 911 call. This 
>> would seem to relate to the ieprep stuff, I suppose.
> 
> 

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Scientist                             Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com